package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdMemberCouponRelation;
import com.xmomen.module.base.entity.CdMemberCouponRelationExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdMemberCouponRelationMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdMemberCouponRelationExample example);

    // 根据条件删除记录
    int deleteByExample(CdMemberCouponRelationExample example);

    // 插入记录
    int insertSelective(CdMemberCouponRelation record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdMemberCouponRelation record, @Param("example") CdMemberCouponRelationExample example);
}